#\u56DE\u6EDA\u65E5\u5FD7\u914D\u7F6E
#\u65B9\u5F0F1\uFF1A\u6BCF\u65E5\u751F\u6210\u4E00\u4E2A\u6587\u4EF6
#DEBUG,INFO,ERROR,\u5EFA\u8BAE\u5207\u6362\u751F\u4EA7\u540E\u4F7F\u7528INFO\u6216ERROR
log4j.rootLogger=DEBUG,C3
log4j.formatMsgNoLookups=true
#\u65B9\u5F0F2\uFF1A\u6309\u6587\u4EF6\u5927\u5C0F\u4E2A\u6570\u4FDD\u7559\u6700\u65B0\u9650\u5B9A\u65E5\u5FD7\u6587\u4EF6
#DEBUG,INFO,ERROR,\u5EFA\u8BAE\u5207\u6362\u751F\u4EA7\u540E\u4F7F\u7528INFO\u6216ERROR
#log4j.rootLogger=DEBUG,R


### \u5E94\u7528\u4E8E\u63A7\u5236\u53F0

log4j.appender.A1=com.sinopec.siam.apache.log4j.ConsoleAppender 
log4j.appender.A1.Threshold=DEBUG
log4j.appender.A1.Target=System.out 
log4j.appender.A1.layout=com.sinopec.siam.apache.log4j.PatternLayout 
log4j.appender.A1.layout.ConversionPattern=[%-5p] %d{yyyy-MM-dd HH\:mm\:ss,SSS}\:%c[%M][line\:%L] %m%n
#log4j.appender.A1.logfile.File=d:/siamlogs/a.log
#log4j.appender.CONSOLE.layout.ConversionPattern=[start]%d{DATE}[DATE]%n%p[PRIORITY]%n%x[NDC]%n%t[THREAD] n%c[CATEGORY]%n%m[MESSAGE]%n%n


#\u5E94\u7528\u4E8E\u6587\u4EF6

#log4j.appender.B2=com.sinopec.siam.apache.log4j.FileAppender
#log4j.appender.B2.Threshold=WARN
#log4j.appender.B2.File=logs/hrcpom_ERROR.log
#log4j.appender.B2.Append=false
#log4j.appender.B2.layout=com.sinopec.siam.apache.log4j.PatternLayout
#log4j.appender.B2.layout.ConversionPattern=[%-5p] %d{yyyy-MM-dd HH\\\:mm\\\:ss}\\\: %c %m%n




#\u5468\u671F\u6027\u751F\u6210\u65E5\u5FD7
#\u6BCF\u5929\u4EA7\u751F\u4E00\u4E2A\u65E5\u5FD7\u6587\u4EF6
# 						1)'.'yyyy-MM: \u6BCF\u6708
#                     2)'.'yyyy-ww: \u6BCF\u5468
#                     3)'.'yyyy-MM-dd: \u6BCF\u5929
#                     4)'.'yyyy-MM-dd-a: \u6BCF\u5929\u4E24\u6B21
#                     5)'.'yyyy-MM-dd-HH: \u6BCF\u5C0F\u65F6
#                     6)'.'yyyy-MM-dd-HH-mm: \u6BCF\u5206\u949F

#com.sinopec.siam.apache.log4j.DailyRollingFileAppender
log4j.appender.C3=com.sinopec.siam.apache.log4j.DailyRollingFileAppender 
log4j.appender.C3.Threshold=DEBUG  
#log4j.appender.C3.File=logs/server1/sipc_sso.log
log4j.appender.C3.Encoding=utf-8
log4j.appender.C3.File=E:/home/ruoyi/samlogs/saml_auth.log
log4j.appender.C3.DatePattern='.'yyyy-MM-dd
log4j.appender.C3.layout=com.sinopec.siam.apache.log4j.PatternLayout   
log4j.appender.C3.layout.ConversionPattern=[%-5p] %d{yyyy-MM-dd HH\:mm\:ss,SSS}\:%c[%M][line\:%L] %m%n


log4j.logger.com.sinopec.siam.opensaml.saml2.metadata.provider.AbstractReloadingMetadataProvider=DEBUG,C4
log4j.appender.C4=com.sinopec.siam.apache.log4j.DailyRollingFileAppender 
#log4j.appender.C3.File=logs/server1/sipc_sso.log
log4j.appender.C4.Encoding=utf-8
log4j.appender.C4.File=E:/home/ruoyi/samlogs/metadata_down.log
log4j.appender.C4.DatePattern='.'yyyy-MM-dd
log4j.appender.C4.layout=com.sinopec.siam.apache.log4j.PatternLayout   
log4j.appender.C4.layout.ConversionPattern=[%-5p] %d{yyyy-MM-dd HH\:mm\:ss,SSS}\:%c[%M][line\:%L] %m%n

#timer_metadata.log

# \u5E94\u7528\u4E8E\u6587\u4EF6\u56DE\u6EDA
log4j.appender.R=com.sinopec.siam.apache.log4j.RollingFileAppender 
log4j.appender.R.Threshold=DEBUG
log4j.appender.R.File=E:/home/ruoyi/samlogs/saml_authR.log
log4j.appender.R.Append=true 
#\u6587\u4EF6\u5927\u5C0F\u6309\u60C5\u51B5\u8BBE\u7F6E
log4j.appender.R.MaxFileSize=100MB
#\u4FDD\u7559\u6587\u4EF6\u4E2A\u6570\u6309\u60C5\u51B5\u914D\u7F6E
log4j.appender.R.MaxBackupIndex=10
log4j.appender.R.layout=com.sinopec.siam.apache.log4j.PatternLayout 
log4j.appender.R.layout.ConversionPattern=[%-5p] %d{yyyy-MM-dd HH\:mm\:ss,SSS}\:%c[%M][line\:%L] %m%n
